Bug 985755 - SELinux is preventing /usr/bin/pulseaudio from 'write' accesses on the file /var/lib/mpd/.config/pulse/e5aebeb05b1349daba80dab0d130828c-default-sink.
SELinux is preventing /usr/bin/pulseaudio from 'write' accesses on the file /...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:745426645ebe50c61a6473b2f49...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 03:39 EDT by Sai Kiran Kanuri
Modified: 2013-07-26 19:05 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-66.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-26 19:05:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sai Kiran Kanuri 2013-07-18 03:39:06 EDT
Description of problem:
i recently installed mpd. This could be caused by it.
SELinux is preventing /usr/bin/pulseaudio from 'write' accesses on the file /var/lib/mpd/.config/pulse/e5aebeb05b1349daba80dab0d130828c-default-sink.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that pulseaudio should be allowed write access on the e5aebeb05b1349daba80dab0d130828c-default-sink file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep pulseaudio /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:pulseaudio_t:s0
Target Context                system_u:object_r:mpd_var_lib_t:s0
Target Objects                /var/lib/mpd/.config/pulse
                              /e5aebeb05b1349daba80dab0d130828c-default-sink [
                              file ]
Source                        pulseaudio
Source Path                   /usr/bin/pulseaudio
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           pulseaudio-3.0-10.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-63.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.9.9-302.fc19.x86_64 #1 SMP Sat
                              Jul 6 13:41:07 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-07-18 13:02:06 IST
Last Seen                     2013-07-18 13:02:14 IST
Local ID                      b47984e6-3e8f-4122-ba27-74b519b6d9ea

Raw Audit Messages
type=AVC msg=audit(1374132734.67:560): avc:  denied  { write } for  pid=1623 comm="pulseaudio" name="e5aebeb05b1349daba80dab0d130828c-default-sink" dev="dm-1" ino=303776 scontext=system_u:system_r:pulseaudio_t:s0 tcontext=system_u:object_r:mpd_var_lib_t:s0 tclass=file


type=AVC msg=audit(1374132734.67:560): avc:  denied  { open } for  pid=1623 comm="pulseaudio" path="/var/lib/mpd/.config/pulse/e5aebeb05b1349daba80dab0d130828c-default-sink" dev="dm-1" ino=303776 scontext=system_u:system_r:pulseaudio_t:s0 tcontext=system_u:object_r:mpd_var_lib_t:s0 tclass=file


type=SYSCALL msg=audit(1374132734.67:560): arch=x86_64 syscall=open success=yes exit=EBADF a0=1a96d30 a1=80241 a2=1b6 a3=0 items=0 ppid=1 pid=1623 auid=4294967295 uid=987 gid=985 euid=987 suid=987 fsuid=987 egid=985 sgid=985 fsgid=985 ses=4294967295 tty=(none) comm=pulseaudio exe=/usr/bin/pulseaudio subj=system_u:system_r:pulseaudio_t:s0 key=(null)

Hash: pulseaudio,pulseaudio_t,mpd_var_lib_t,file,write

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-302.fc19.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-07-18 13:35:51 EDT
commit 7b63591ccb335683a46baadd3ea727914e69d397
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Thu Jul 18 19:35:20 2013 +0200

    mpd should not transition to pulseaudio domains
Comment 2 Fedora Update System 2013-07-24 10:10:17 EDT
selinux-policy-3.12.1-66.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-66.fc19
Comment 3 Fedora Update System 2013-07-24 20:34:24 EDT
Package selinux-policy-3.12.1-66.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-66.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13543/selinux-policy-3.12.1-66.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-26 19:05:21 EDT
selinux-policy-3.12.1-66.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.